#!/bin/bash
clear
COLS=$(tput cols)
ROWS=$(tput lines)
for ((i=0; i<$COLS; i++))
do
  	echo -n "="
done

echo "Theme by Aubrey on Fedora 20 XFCE"
echo "script to customize the desktop using xfconf-query commands"
for ((i=0; i<$COLS; i++))
do
  	echo -n "="
done

printf "\033[0;37m"

echo "[Downloading Resources from Official Fedora Repository]"
sudo yum install constantine-backgrounds elementary-xfce-icon-theme oxygen-cursor-themes -y

echo "[Changing Desktop]"

echo "[Panels]"
xfconf-query -c xfce4-panel -p /panels/panel-2/position-locked -n -t bool -s true
xfconf-query -c xfce4-panel -p /panels/panel-2/autohide -n -t bool -s true

echo "[Analog Clock]"
xfconf-query -c xfce4-panel -p /plugins/plugin-5/mode -n -t int -s 0

echo "[Notifier]"
xfconf-query -c xfce4-notifyd -p /notify-location -n -t int -s 1
xfconf-query -c xfce4-notifyd -p /theme -n -t string -s Smoke

echo "[Fedora Start Menu]"
xfconf-query -c xfce4-panel -p /plugins/plugin-1/button-icon -n -t string -s fedora-logo-icon

echo "[Changing Window Manager Theme: Alternate]"
xfconf-query -c xfwm4 -p /general/theme -n -t string -s Alternate

echo "[Changing Wallpaper]"
sudo cp /usr/share/backgrounds/constantine/default/wide/constantine.png /home/$USER/Pictures/F12-80-wide.png
xfconf-query -c xfce4-desktop -p /backdrop/screen0/monitor0/image-path -n -t string -s /home/$USER/Pictures/F12-80-wide.png
xfconf-query -c xfce4-desktop -p /backdrop/screen0/monitor0/image-style -n -t int -s 3

echo "[Minimize Windows as Desktop Icons]"
xfconf-query -c xfce4-desktop -p /desktop-icons/style -n -t int -s 1 

echo "[Changing Theme]"
echo "[Theme: 'My4.4LG]"
if [ -e /home/$USER/.themes ]
then
 echo " Themes Folder Exists!"
else
 mkdir /home/$USER/.themes
fi
cp -Rf my4.4LG /home/$USER/.themes
#cp -Rf /usr/share/themes/Adwaita/gtk-3.0 /home/$USER/.themes/my4.4LG
xfconf-query -c xsettings -p /Net/ThemeName -n -t string -s my4.4LG

echo "[Activate Button and Menu Icons]"
xfconf-query -c xsettings -p /Gtk/ButtonImages -n -t bool -s true
xfconf-query -c xsettings -p /Gtk/MenuImages -n -t bool -s true

echo "[Changing Icons]"
xfconf-query -c xsettings -p /Net/IconThemeName -n -t string -s elementary-xfce

printf "\33[0m"

for ((i=0; i<$COLS; i++))
do
  	echo -n "="
done


echo "CHANGE SYSTEM FILES? (yes/no)"
read x
if [ "$x" = "yes" ]
then
	
	echo "Enter Your Root Password"	
	printf "\033[0;37m"
	
	#web browser icons
	echo "[Changing Web Browser Icons: emblem-web]"
	sudo sed -i 's/Icon=web-browser/Icon=emblem-web/g' /usr/share/applications/exo-web-browser.desktop
	sudo sed -i 's/Icon=applications-internet/Icon=emblem-web/g' /usr/share/desktop-directories/xfce-network.directory
	#sudo sed -i 's/Icon=web-browser/Icon=emblem-web/g' /home/$USER/.config/xfce4/panel/launcher-11/13790901883.desktop
	xfconf-query -c xfce4-panel -p /plugins/plugin-11/items -n -t string -s ${PWD}/emblem-web.desktop -a


	#sudo cp /home/$USER/Pictures/F12-80-wide.png /boot/grub2/themes/system/fireworks.png
	#sudo cp /home/$USER/Pictures/F12-80-wide.png /boot/grub2/themes/system/background.png
	#echo "[Changing Grub Wallpaper]"        

	echo "[Changing Greeter Wallpaper]"
	sudo cp /home/$USER/Pictures/F12-80-wide.png /usr/share/backgrounds/heisenbug/default/normalish/heisenbug.png
	sudo cp /home/$USER/Pictures/F12-80-wide.png /usr/share/backgrounds/heisenbug/default/standard/heisenbug.png
	sudo cp /home/$USER/Pictures/F12-80-wide.png /usr/share/backgrounds/heisenbug/default/wide/heisenbug.png

	sudo cp /home/$USER/Pictures/F12-80-wide.png /usr/share/backgrounds/images/default.png
	sudo cp /home/$USER/Pictures/F12-80-wide.png /usr/share/backgrounds/images/default-16_10.png 
	sudo cp /home/$USER/Pictures/F12-80-wide.png /usr/share/backgrounds/images/default-5_4.png

	#echo "[Changing Grub mode to Verbose]"
	#sudo sed -i 's/rhgb quiet/quiet/g' /boot/grub2/grub.cfg
        echo "[Changing Plymouth Boot screen to Spinfinity]"
	./spinfinity.sh

	#install oxy-white mouse cursor
	#./oxy-white.sh
	#enable oxy-white mouse cursor
	#xfconf-query -c xsettings -p /Gtk/CursorThemeName -n -t string -s oxy-white
	echo "[Changing Mouse Theme to Oxygen_White]"
	sudo rm /usr/share/icons/default/index.theme
	sudo mv index.theme /usr/share/icons/default/index.theme
	xfconf-query -c xsettings -p /Gtk/CursorThemeName -n -t string -s Oxygen_White
	

fi

printf "\33[0m"
for ((i=0; i<$COLS; i++))
do
  	echo -n "="
done
echo "done!"
echo " "
